SDL_ResetAssertionReport(3)

NAME
SDL_ResetAssertionReport - Clear the list of all assertion failures.

SYNOPSIS
#include <SDL3/SDL_assert.h>

void SDL_ResetAssertionReport(void);

DESCRIPTION
This function will clear the list of all assertions triggered up to that point. Immediately following this call, SDL_GetAssertionReport will return no items. In addition, any previously-triggered assertions will be reset to a trigger_count of zero, and their always_ignore state will be false.

THREAD SAFETY
This function is not thread safe. Other threads triggering an assertion, or simultaneously calling this function may cause memory leaks or crashes.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAssertionReport(3)